@extends('template.'.config('settings.template').'.content.master')
@section('content')


  <div class="container">

    <section class="rounded bg-ci" style="margin-top: 80px;">
      <div class="row">
        <div class="col">
          <h1>Areya Energy</h1>

          <p class="fs-4 mt-2">
            
            <br>
            Photovoltaik und Energielösungen.
            <br> Vetrieb von Anlagen und Einzelkomponenten.
          </p>

          <p class="fs-6 mt-2">
            
            <br>
            Neuenhammerstr. 44, 92714 Pleystein, Germany
          </p>


        </div>
      </div>
    </section>




    


  <div class="row">
    @foreach($contents as $indexContent => $content)
      <div class="col-12 col-md-4 col-4 mb-5">
        <a href="{{ route_content($content) }}" class="text-decoration-none text-dark">
          <div class="card shadow-lg">

            @if ($content->image)
              <img class="rounded-top img-fluid" src="{{ asset('uploads/' . $content->image) }}" loading="lazy">
            @else
              <img class="rounded-top img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy">
            @endif

            <div class="card-body">
              <h2 class="fs-4">{{$content->title}}</h2>
              <a href="{{ route('author.get', [$content->user->slug]) }}" class="text-decoration-none">
                <img src="{{ $content->user->gravatar() }}" width="20px" title="{{ $content->user->name }}" class="border rounded img-fluid shadow-sm" alt="Logo {{ $content->user->name }} ">
                {{ $content->user->name }}
              </a>
              <p class="mt-4">
                {!! isset($content->data_fields['short_description'])?$content->data_fields['short_description']:'keine Angaben' !!}
              </p>


            </div>

          </div>

        </a>


      </div>

    @endforeach
  </div>


  @if(count($premiumAuthors) > 0)
      <section>
        <div class="row carousel-row">
          <div class="container">
            <div class="col-sm-12">
              <h2 class="mb-4">Marken und Partner</h2>
            </div>
            <div class="row top_arbeitgeber logo-carousel slider" data-arrows="true">
              @foreach($premiumAuthors as $premiumAuthor)
                <div class="logos slide" style="padding-bottom: 40px; text-align: center">
                  <a href="{{url('/brands')}}/{{$premiumAuthor->slug}}" class="text-center" style="font-size: 13px;">
                    <img src="{{url('/uploads/profile')}}/{{$premiumAuthor->image}}" loading="lazy" alt="Logo {{$premiumAuthor->name}}" class="img-fluid center-block border rounded-circle mb-2">
                  </a>
                </div>
              @endforeach
            </div>
          </div>
        </div>
      </section>
    @endif
</div>

@stop



